/*
 * Copyright (C) 2005  ENSI-GAME-ART
 *
 * Club ENSI-GAME-ART ENSICAEN
 * 6 Boulevard Marechal Juin
 * F-14050 Caen Cedex
 *
 * Ce fichier est l'oeuvre d'eleves de l'ENSI de Caen. Il est developp
 * sous la licence GPL :
 *
 ****************************************************************
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *****************************************************************
 *
 * Ce fichier fait partie du projet de jeu video de course spatiale
 * developpe au sein du club ENSI-GAME-ART
 */

#ifndef _EGA_LOADER_H_
#define _EGA_LOADER_H_

#include <stdio.h>
#include <io.h>
#include "Ega_Parser.h"

/**
 * Load a entity from a file.
 *
 * @author Leduc Pierre
 */
class Ega_Loader
{
public:
    Ega_Loader();
    virtual ~Ega_Loader();
    
	static void create();
	
	static Ega_Loader* getIt(){ return load_this; }
	bool loadElements( char *fileName );
	Ega_ObjectManager* loadObjects( char *fileName );

private:    
    static Ega_Loader* load_this;
    Ega_Parser* load_parser;
};

#endif
