/*
 * Copyright (C) 2005  ENSI-GAME-ART
 *
 * Club ENSI-GAME-ART ENSICAEN
 * 6 Boulevard Marechal Juin
 * F-14050 Caen Cedex
 *
 * Ce fichier est l'oeuvre d'eleves de l'ENSI de Caen. Il est developp
 * sous la licence GPL :
 *
 ****************************************************************
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *****************************************************************
 *
 * Ce fichier fait partie du projet de jeu video de course spatiale
 * developpe au sein du club ENSI-GAME-ART
 */

#define  SCENE_LASTFRAME        "scLf"
#define  SCENE_FRAMESPEED       "scFs"
#define  SCENE_TICKSPERFRAME    "scTpf"
     
//#define  MATERIAL_LIST          "maLst"
#define  MATERIAL_REF           "maRef"
//#define  MATERIAL_COUNT         "maCnt"
#define  MATERIAL_ID            "maId"
#define  MATERIAL_NAME          "maNam"
//#define  MATERIAL_TWOSIDED      "MATERIAL_TWOSIDED"
//#define  MATERIAL_WIRE          "MATERIAL_WIRE"
#define  MATERIAL_DIFFUSE       "maDif"
#define  MATERIAL_AMBIENT       "maAmb"
#define  MATERIAL_SPECULAR      "maSpec"
#define  MATERIAL_SHINESTRENGTH "maShi"
#define  MATERIAL_TRANSPARENCY  "maOpa"
#define  MAP_DIFFUSE            "mapDif"
#define  MAP_OPACITY            "mapOpac"
#define  MAP_BUMP               "mapBump"
#define  BITMAP                 "bmp"
#define  UVW_U_TILING           "uTil"
#define  UVW_V_TILING           "vTil"
#define  UVW_U_OFFSET           "uOff"
#define  UVW_V_OFFSET           "vOff"

#define  TM_POS                 "pos"
#define  TM_ROTAXIS             "rotax"
#define  TM_ROTANGLE            "rotang"
#define  TM_SCALE               "scal"  
#define  CONTROL_POS_TRACK      "aniPosT"
#define  CONTROL_POS_SAMPLE     "aniPosS"
#define  CONTROL_ROT_TRACK      "aniRotT"
#define  CONTROL_ROT_SAMPLE     "aniRotS"
#define  CONTROL_SCALE_TRACK    "aniScaT"
#define  CONTROL_SCALE_SAMPLE   "aniScaS"

#define  GROUP                  "grp"
#define  GEOMOBJECT             "obj"
#define  MESH                   "msh"   
#define  MESH_NUMVERTEX         "nmVer"
#define  MESH_NUMFACES          "nmFac"
#define  MESH_VERTEX            "mhVer"
#define  MESH_FACE              "mhFac"
#define  MESH_NORMALS           "mhNor"
#define  MESH_FACENORMAL        "mhNorF"
#define  MESH_VERTEXNORMAL      "mhNorV"
#define  MESH_NUMTVERTEX        "nmTVer"
#define  MESH_NUMTVFACES        "nmTFac"
#define  MESH_TVERT             "mhTVer"
#define  MESH_TFACE             "mhTFac"

#define  SHAPEOBJECT            "shObj"   
#define  SHAPE_LINE             "shLin"
#define  SHAPE_CLOSED           "shClo"
#define  SHAPE_VERTEXCOUNT      "shCntV"
#define  SHAPE_VERTEX_KNOT      "shVkn"
#define  SHAPE_VERTEX_INTERP    "shVin"   
    
#define  LIGHTOBJECT            "liObj"
#define  LIGHT_COLOR            "liCol"
#define  LIGHT_INTENS           "liInt"  

#define  CAMERAOBJECT           "caObj"
//#define  CAMERA_TYPE            "caTyp"
#define  CAMERA_NEAR            "caNear"
#define  CAMERA_FAR             "caFar"
#define  CAMERA_FOVY            "caFovy"



#define INDICE   "i"
#define STRING   "a0"
#define ATT      "a0"
#define ATT_X    "a0"
#define ATT_Y    "a1"
#define ATT_Z    "a2"
#define ATT_R    "a0"
#define ATT_G    "a1"
#define ATT_B    "a2"
#define ATT_V1   "a0"
#define ATT_V2   "a1"
#define ATT_V3   "a2"
