/*
 * Copyright (C) 2005  ENSI-GAME-ART
 *
 * Club ENSI-GAME-ART ENSICAEN
 * 6 Boulevard Marechal Juin
 * F-14050 Caen Cedex
 *
 * Ce fichier est l'oeuvre d'eleves de l'ENSI de Caen. Il est developp
 * sous la licence GPL :
 *
 ****************************************************************
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *****************************************************************
 *
 * Ce fichier fait partie du projet de jeu video de course spatiale
 * developpe au sein du club ENSI-GAME-ART
 */

#include "manager/Ega_CameraManager.h"


Ega_CameraManager::Ega_CameraManager()
{
	listCamera.clear();
}


Ega_CameraManager::~Ega_CameraManager()
{
	int size = listCamera.size();
	for(int i=0; i<listCamera.size(); i++){
		delete listCamera[i];
	}
	listCamera.clear();
	/*while( listCamera.empty()==false )
	{
		size = listCamera.size();
		Ega_Camera* temp = listCamera.back();
		delete temp;
	    //delete listCamera.back();
	    listCamera.pop_back();
size = listCamera.size();
	} */   
}

void Ega_CameraManager::addCamera(Ega_Camera *camera)
{
    //material->setID( nbCamera );
    listCamera.push_back(camera);
}

Ega_Camera* Ega_CameraManager::getCamera(int id)
{
	return listCamera[id];
}


int Ega_CameraManager::getNbCamera()
{
	return listCamera.size();
}

void Ega_CameraManager::applyCamera(int id)
{
    listCamera[id]->applyCamera();
}  
