/*
 * Copyright (C) 2005  ENSI-GAME-ART
 *
 * Club ENSI-GAME-ART ENSICAEN
 * 6 Boulevard Marechal Juin
 * F-14050 Caen Cedex
 *
 * Ce fichier est l'oeuvre d'eleves de l'ENSI de Caen. Il est developp
 * sous la licence GPL :
 *
 ****************************************************************
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *****************************************************************
 *
 * Ce fichier fait partie du projet de jeu video de course spatiale
 * developpe au sein du club ENSI-GAME-ART
 */

#include "manager/Ega_LightManager.h"

Ega_LightManager::Ega_LightManager()
{
}


Ega_LightManager::~Ega_LightManager()
{
}


int Ega_LightManager::addElement(Vcb_Light* light)
{
    GLenum id = getFreeSpace();
    if( id < MAX  )
    {
        light->setID( id );
        Vcb_BasicLightManager::addElement(light);
        return id;
    }
    else
    {
        delete light;
        return -1;
    }      	
}

void Ega_LightManager::applyAllLights()
{
    for(Vcb_Light* current = init_parser(); current!=0; current = get_next() )
         current->applyLight();
}

void Ega_LightManager::applyLight( int id )
{
    m_list[id]->applyLight();
}
