/*
 * Copyright (C) 2005  ENSI-GAME-ART
 *
 * Club ENSI-GAME-ART ENSICAEN
 * 6 Boulevard Marechal Juin
 * F-14050 Caen Cedex
 *
 * Ce fichier est l'oeuvre d'eleves de l'ENSI de Caen. Il est developp
 * sous la licence GPL :
 *
 ****************************************************************
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *****************************************************************
 *
 * Ce fichier fait partie du projet de jeu video de course spatiale
 * developpe au sein du club ENSI-GAME-ART
 */

#include "loader/Ega_Loader.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
Ega_Loader* Ega_Loader::load_this = 0;

void Ega_Loader::create()
{
		load_this = new Ega_Loader;
}
Ega_Loader::Ega_Loader()
{

}

Ega_Loader::~Ega_Loader()
{
}

bool Ega_Loader::loadElements( char *fileName )
{
    load_parser = new Ega_Parser(fileName);   
    if(load_parser->parseDocument())
    {
        delete load_parser;
        return true;
    }
    return false;    
}

Ega_ObjectManager* Ega_Loader::loadObjects( char *fileName )
{
    load_parser = new Ega_Parser(fileName);   
    Ega_ObjectManager *objs = load_parser->parseDocumentObject();
    delete load_parser;
    return objs;
}
