/*
 * Copyright (C) 2005  ENSI-GAME-ART
 *
 * Club ENSI-GAME-ART ENSICAEN
 * 6 Boulevard Marechal Juin
 * F-14050 Caen Cedex
 *
 * Ce fichier est l'oeuvre d'eleves de l'ENSI de Caen. Il est developp
 * sous la licence GPL :
 *
 ****************************************************************
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *****************************************************************
 *
 * Ce fichier fait partie du projet de jeu video de course spatiale
 * developpe au sein du club ENSI-GAME-ART
 */


/* Description du fichier :
 *
 * description de la classe Fl_GestObjet
 * gestionnaire d'objet, il s'assure de l'unicit de la declaration des objets identiques
 * et les supprime  la fin.
 */
 
//  a faire : gestion de l'unicit

#ifndef _EGA_OBJECTMANAGER_H_
#define _EGA_OBJECTMANAGER_H_

#include "display/Ega_Object.h"
#include "manager/Vcb_Manager.h"
#include <vector>

/**
 * Manage the Objects.
 *
 * @author Gautier Matthieu
 * @author Leduc Pierre
 */
 
typedef Vcb_BasicManager<Ega_Object> Vcb_BasicObjectManager;

class Ega_ObjectManager : public Vcb_BasicObjectManager
{
public:	
	Ega_ObjectManager();
	virtual ~Ega_ObjectManager();

	void drawAll();

};

#endif
