/*
 * Copyright (C) 2005  ENSI-GAME-ART
 *
 * Club ENSI-GAME-ART ENSICAEN
 * 6 Boulevard Marechal Juin
 * F-14050 Caen Cedex
 *
 * Ce fichier est l'oeuvre d'eleves de l'ENSI de Caen. Il est developp
 * sous la licence GPL :
 *
 ****************************************************************
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *****************************************************************
 *
 * Ce fichier fait partie du projet de jeu video de course spatiale
 * developpe au sein du club ENSI-GAME-ART
 */

#include "tool/Ega_Tools.h"

#include <iostream>
#include <sstream>
#include <fstream>
#include <iomanip>

float rd(float range)
{
    return (float)rand()/RAND_MAX*range;
}

float * vect4TOfloat(Vect4 a, float tmp[4])
{
    tmp[0] = a[0]; 
    tmp[1] = a[1];
    tmp[2] = a[2];
    tmp[3] = a[3];
    return &tmp[0];
}

float * vect3TOfloat(Vect3 a, float tmp[3])
{
    tmp[0] = a[0]; 
    tmp[1] = a[1];
    tmp[2] = a[2];
    return &tmp[0];
}

int string2int(string _string)
{
	int _int;
	string ch = ""; ch.insert(0,_string,0,_string.size());
	istringstream ligne2 (ch);
	ligne2>> _int;
	return _int;
}


double string2double(string _string)
{
	double _double;
	string ch = ""; ch.insert(0,_string,0,_string.size());
	istringstream ligne2 (ch);
	ligne2>> _double;
	return _double;
}

